org.apache.ignite.internal.util.io

## Interface GridDataOutput

All Superinterfaces:
  DataOutput

All Known Implementing Classes:
  GridUnsafeDataOutput

    public interface GridDataOutput
    extends DataOutput

Extended data output.

### Method Summary

Methods
`byte[]` `array()`
`byte[]` `internalArray()`
`int` `offset()`
`void` `offset(int off)`
`void` `outputStream(OutputStream out)`
`void` `reset()` Resets data output.
`void` `writeBooleanArray(boolean[] arr)` Writes array of `boolean`s.
`void` `writeByteArray(byte[] arr)` Writes array of `byte`s.
`void` `writeCharArray(char[] arr)` Writes array of `char`s.
`void` `writeDoubleArray(double[] arr)` Writes array of `double`s.
`void` `writeFloatArray(float[] arr)` Writes array of `float`s.
`void` `writeIntArray(int[] arr)` Writes array of `int`s.
`void` `writeLongArray(long[] arr)` Writes array of `long`s.
`void` `writeShortArray(short[] arr)` Writes array of `short`s.

### Methods inherited from interface java.io.DataOutput

`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Method Detail

#### outputStream

    void outputStream(OutputStream out)

Parameters:
  `out` - Underlying stream.

#### array

    byte[] array()

Returns:
  Copy of internal array shrunk to offset.

#### internalArray

    byte[] internalArray()

Returns:
  Internal array.

#### offset

    int offset()

Returns:
  Offset.

#### offset

    void offset(int off)

Parameters:
  `off` - Offset.

#### reset

    void reset()

Resets data output.

#### writeByteArray

    void writeByteArray(byte[] arr)
                        throws IOException

Writes array of `byte`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeShortArray

    void writeShortArray(short[] arr)
                         throws IOException

Writes array of `short`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeIntArray

    void writeIntArray(int[] arr)
                       throws IOException

Writes array of `int`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeLongArray

    void writeLongArray(long[] arr)
                        throws IOException

Writes array of `long`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeFloatArray

    void writeFloatArray(float[] arr)
                         throws IOException

Writes array of `float`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeDoubleArray

    void writeDoubleArray(double[] arr)
                          throws IOException

Writes array of `double`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeBooleanArray

    void writeBooleanArray(boolean[] arr)
                           throws IOException

Writes array of `boolean`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

#### writeCharArray

    void writeCharArray(char[] arr)
                        throws IOException

Writes array of `char`s.

Parameters:
  `arr` - Array.
Throws:
  `IOException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015